package com.openhis.web.document.appservice;

import com.core.common.core.domain.R;
import com.openhis.web.document.dto.DocDefinitionDto;
import com.openhis.web.document.dto.DocDefinitonParam;

/**
 * 文书定义 应用Service
 */
public interface IDocDefinitionAppService {

    /**
     * 新增文书定义
     *
     * @param definitionDto
     * @return
     */
    R<?> addDefinition(DocDefinitionDto definitionDto);


    /**
     * 修改文书定义
     *
     * @param definitionDto
     * @return
     */
    R<?> updateDefinition(DocDefinitionDto definitionDto);

    R<?> deleteDefinition(Long id);

    /**
     * 获取文书定义列表 树形结构
     *
     * @param param 条件参数
     * @return
     */
    R<?> getTreeList(DocDefinitonParam param);

    R<?> getDefinitionDetailById(Long id);

    DocDefinitionDto getDefinitionById(Long id);
}
